---
- name: Create systemd user service for kiosk-{{ kiosk.id }}
  template:
    src: templates/kiosk.service.j2
    dest: "{{ interactive_user.home }}/.config/systemd/user/kiosk-{{ kiosk.id }}.service"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"

- name: Create systemd user timer for kiosk-{{ kiosk.id }}
  template:
    src: templates/kiosk.timer.j2
    dest: "{{ interactive_user.home }}/.config/systemd/user/kiosk-{{ kiosk.id }}.timer"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"

- name: include_content
  include: content.yml
  tags:
    - content
  when: 'kiosk.content is defined'

- name: Enable systemd user units for kiosk-{{ kiosk.id }}
  systemd:
    name: "kiosk-{{ kiosk.id }}.timer"
    enabled: yes
    daemon_reload: yes
    scope: user
  become_user: "{{ interactive_user.name }}"
  environment:
    XDG_RUNTIME_DIR: "/run/user/{{ interactive_user.id }}"
    DBUS_SESSION_BUS_ADDRESS: "unix:path=/run/user/{{ interactive_user.id }}/bus"
